
Foreman - Bug #11812

Remove whiny nils and add eager load

09/15/2015 06:17 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2717

  

Description

In Rails 4 whiny_nils are going to be removed. These are useless now that we don't support ruby 1.8.7.

Since config.eager_load is mandatory in Rails 4, I'll set it when we remove this in dev/test.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 480b571c - 09/17/2015 02:26 AM - Daniel Lobato Garcia

Fixes #11812 - Remove whiny nils and add eager load

In Rails 4 eager_load is mandatory, and whiny_nils are already useless

in Foreman as we don't support 1.8.7.

History

#1 - 09/15/2015 06:19 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/15/2015 06:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2717 added

- Pull request deleted ()

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 480b571c4139bc8dac94f5b4ed261ced20bb7d81.

#4 - 09/17/2015 03:03 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails
